(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     24422,        569]
NotebookOptionsPosition[     23898,        546]
NotebookOutlinePosition[     24253,        562]
CellTagsIndexPosition[     24210,        559]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"oxrange", "=", 
   RowBox[{"Range", "[", 
    RowBox[{".5", ",", "1", ",", ".25"}], "]"}]}], ";", 
  RowBox[{"lrange", "=", 
   RowBox[{"Range", "[", 
    RowBox[{".5", ",", "2", ",", ".5"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"oxlength", ":=", 
   RowBox[{"Length", "[", "oxrange", "]"}]}], ";", 
  RowBox[{"llength", ":=", 
   RowBox[{"Length", "[", "lrange", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"variables", "=", 
   RowBox[{"{", 
    RowBox[{"pox", ",", "pred", ",", "ap", ",", "aox", ",", "ared"}], "}"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.5575994896250973`*^9, 3.557599490476344*^9}, {
  3.557599650467786*^9, 3.5575996522360067`*^9}, {3.5576030622189617`*^9, 
  3.5576030766267347`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"2351", " ", "alph"}], "=", 
      RowBox[{"beta", "=", 
       RowBox[{
        RowBox[{"1", " ", "keq"}], "=", "Infinito"}]}]}], "*)"}], 
    RowBox[{"(*", "alpha", "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"kao", "=", "kao"}], ";", "\n", "\n", 
      RowBox[{"(*", "beta", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"kprplus", "=", 
       RowBox[{"amplibeta", "*", "beta"}]}], ";", "\n", 
      RowBox[{"kar", "=", "amplibeta"}], ";", "\n", "\n", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"keq", "~", "Infinito"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"kprminus", "=", 
       RowBox[{"kprplus", "/", "keq"}]}], ";", "\n", "\[IndentingNewLine]", 
      "\n", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"light", "=", "1"}], ";", 
        RowBox[{"oxygen", "=", "0"}], ";"}], "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"r1", "=", 
       RowBox[{"kpo", "*", "oxygen", "*", "pred"}]}], ";", "\n", 
      RowBox[{"r2", "=", 
       RowBox[{"-", "r3"}]}], ";", "\n", 
      RowBox[{"r3", "=", 
       RowBox[{
        RowBox[{"kprplus", "*", "ared", "*", "pox"}], "-", 
        RowBox[{"kprminus", "*", "aox", "*", "pred"}]}]}], ";", "\n", 
      RowBox[{"r4", "=", 
       RowBox[{"kar", "*", "light", "*", "aox"}]}], ";", 
      RowBox[{"(*", 
       RowBox[{"esta", " ", "est\[AAcute]", " ", "cambiada"}], "*)"}], 
      RowBox[{"r5", "=", 
       RowBox[{"kao", "*", "oxygen", "*", "ared"}]}], ";", "\n", 
      RowBox[{"r6", "=", 
       RowBox[{
        RowBox[{"kcplus", "/", 
         RowBox[{"(", 
          RowBox[{"light", "^", "2"}], ")"}]}], "*", "pred", "*", "ared", "*",
         "ared"}]}], ";", "\n", 
      RowBox[{"r7", "=", 
       RowBox[{"kcminus", "*", "ap", "*", "ap"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Off", "[", 
       RowBox[{"Solve", "::", "ratnz"}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", "findingvalid", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "Calculate", " ", "ALL", " ", "steady", " ", "state", " ", 
          "points"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"findingvalid", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Solve", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"r2", "+", "r4", "-", "r5", "-", 
                    RowBox[{"2", "*", "r6"}], "+", 
                    RowBox[{"2", "*", "r7"}]}], "\[Equal]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "r1"}], "+", "r3", "-", "r6", "+", "r7"}], 
                    "\[Equal]", "0"}], ",", "\[IndentingNewLine]", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "*", "r6"}], "-", 
                    RowBox[{"2", "*", "r7"}]}], "\[Equal]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"pox", "+", "pred", "+", " ", 
                    RowBox[{".5", "ap"}], "-", "1"}], "\[Equal]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ared", "+", "aox", "+", "ap", "-", "1"}], 
                    "\[Equal]", "0"}]}], "}"}], "/.", 
                  RowBox[{"light", "\[Rule]", "l"}]}], "/.", 
                 RowBox[{"oxygen", "\[Rule]", "o"}]}], "/.", 
                RowBox[{"beta", "\[Rule]", "50"}]}], "/.", 
               RowBox[{"amplibeta", "\[Rule]", "1"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
               "pox", ",", "pred", ",", "ap", ",", "aox", ",", "ared"}], 
               "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"o", ",", "oxrange"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "lrange"}], "}"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         
         RowBox[{"sols", "=", 
          RowBox[{"Length", "[", 
           RowBox[{"findingvalid", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"num", " ", "of", " ", "solutions"}], ",", " ", 
           RowBox[{"watch", " ", "dimensions"}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"validsolution", "=", 
          RowBox[{"ConstantArray", "[", 
           RowBox[{"0", ",", 
            RowBox[{"{", 
             RowBox[{"oxlength", ",", "llength", ",", "6"}], "}"}]}], "]"}]}],
          ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "Following", " ", "finds", " ", "the", " ", "VALID", " ", "steady",
             " ", "points", " ", "for", " ", "each", " ", "condition", " ", 
            "combination"}], ",", " ", 
           RowBox[{
           "use", " ", "this", " ", "when", " ", "there", " ", "are", " ", 
            "more", " ", "than", " ", "one", " ", "valid", " ", "steady", " ",
             "states"}], ",", " ", 
           RowBox[{"aka", " ", "use", " ", "for", " ", "bifurcation", " ", 
            RowBox[{"study", ":"}]}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{"Do", "[", 
            RowBox[{
             RowBox[{"Do", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"v", "=", "1"}], ";", "\[IndentingNewLine]", 
                RowBox[{"While", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"v", "<", "6"}], "&&", 
                   RowBox[{"NonNegative", "[", 
                    RowBox[{
                    RowBox[{"variables", "[", 
                    RowBox[{"[", "v", "]"}], "]"}], "/.", 
                    RowBox[{"findingvalid", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    "oxygenstates", ",", "lightstates", ",", "s", ",", "v"}], 
                    "]"}], "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"v", "\[Equal]", "5"}], ",", 
                    RowBox[{
                    RowBox[{"validsolution", "[", 
                    RowBox[{"[", 
                    RowBox[{"oxygenstates", ",", "lightstates", ",", "s"}], 
                    "]"}], "]"}], "=", "1"}], ",", "0"}], "]"}], 
                   "\[IndentingNewLine]", ";", 
                   RowBox[{"v", "++"}]}]}], "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"s", ",", "6"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"oxygenstates", ",", "oxlength"}], "}"}]}], "]"}], ",", 
           
           RowBox[{"{", 
            RowBox[{"lightstates", ",", "llength"}], "}"}]}], "]"}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         
         RowBox[{"(*", 
          RowBox[{
          "Plot", " ", "Steady", " ", "state", " ", "solutions", " ", "for", 
           " ", "given", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"parameters", "!!"}], "!!"}], "!!"}], "!!"}], 
                    "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], 
                   "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], "!!"}], 
            "!"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"ListPlot3D", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"pred", "/", "2.2"}], "+", "pox"}], "/.", 
              RowBox[{"findingvalid", "[", 
               RowBox[{"[", 
                RowBox[{"a", ",", "b", ",", "4"}], "]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"a", ",", "oxlength"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"b", ",", "llength"}], "}"}]}], "]"}], ",", " ", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<oxygen\>\"", ",", "\"\<light\>\""}], "}"}]}], ",", 
           RowBox[{"DataRange", "\[Rule]", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"First", "[", "oxrange", "]"}], ",", 
                RowBox[{"Last", "[", "oxrange", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"First", "[", "lrange", "]"}], ",", 
                RowBox[{"Last", "[", "lrange", "]"}]}], "}"}]}], "}"}]}]}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
     RowBox[{"(*", 
      RowBox[{"end", " ", "module"}], "*)"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"kao", ",", "1"}], "}"}], ",", ".5", ",", "1.5"}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"kpo", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", ".75", ",", "1", ",", "1.25", ",", "1.5"}], 
        "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"beta", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", ".75", ",", "1", ",", "3", ",", "10"}], "}"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"amplibeta", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"keq", ",", "1"}], "}"}], ",", ".1", ",", "10", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"kcplus", ",", "1"}], "}"}], ",", ".5", ",", "1.5"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"kcminus", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", "1", ",", "1.5"}], "}"}]}], "}"}], ",", " ", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.557588768037662*^9, 3.557588778256214*^9}, {
   3.557588871684133*^9, 3.557588999471198*^9}, {3.5575890701989*^9, 
   3.557589124074019*^9}, {3.557589166447361*^9, 3.5575892053192577`*^9}, {
   3.557591236958593*^9, 3.557591238206139*^9}, {3.5575912783241587`*^9, 
   3.557591281574111*^9}, {3.5575913148283653`*^9, 3.557591320884987*^9}, {
   3.557591370234622*^9, 3.557591403202746*^9}, {3.557591485723033*^9, 
   3.557591495967989*^9}, {3.557591544251096*^9, 3.5575915534976053`*^9}, {
   3.557597531628353*^9, 3.5575975931155987`*^9}, {3.55759846301367*^9, 
   3.557598477711852*^9}, {3.557599375740514*^9, 3.557599376242075*^9}, {
   3.557599432721922*^9, 3.5575994874826508`*^9}, {3.557599620065661*^9, 
   3.55759964663993*^9}, {3.557600972933146*^9, 3.557601215173003*^9}, {
   3.557601530990746*^9, 3.5576015484686937`*^9}, {3.557601586897765*^9, 
   3.5576015953472223`*^9}, 3.5576017789254503`*^9, {3.557601828859078*^9, 
   3.557601971430059*^9}, {3.557602571711546*^9, 3.557602604965774*^9}, {
   3.557602834427931*^9, 3.557602874289791*^9}, {3.557603104741209*^9, 
   3.557603116962323*^9}, {3.557603165680656*^9, 3.557603207955028*^9}, {
   3.5576032491120787`*^9, 3.557603263005847*^9}, {3.557603293473625*^9, 
   3.55760329640401*^9}, {3.557603337996992*^9, 3.5576033398258867`*^9}, {
   3.557603408637587*^9, 3.557603416393713*^9}, {3.5576036325194273`*^9, 
   3.5576036634530563`*^9}, {3.5576049261824617`*^9, 
   3.5576049374801893`*^9}, {3.557605397262628*^9, 3.557605404840681*^9}, {
   3.557613641015806*^9, 3.557613702503725*^9}, {3.557613769440707*^9, 
   3.557613786577458*^9}, {3.5576138360506687`*^9, 3.557613839425766*^9}, {
   3.557613884477393*^9, 3.55761388638027*^9}, {3.557613972560713*^9, 
   3.557614016403866*^9}, {3.5576141392553473`*^9, 3.5576141953647547`*^9}, {
   3.557614570544299*^9, 3.5576145879826927`*^9}, {3.557614631546096*^9, 
   3.557614704786468*^9}, {3.557614771623025*^9, 3.557614799179949*^9}, {
   3.557615176690287*^9, 3.557615200503045*^9}, {3.5576152582037973`*^9, 
   3.5576152888200483`*^9}, {3.557615324556188*^9, 3.55761532981464*^9}, {
   3.557615374217648*^9, 3.5576153770087748`*^9}, {3.557615434222234*^9, 
   3.5576154401546*^9}, {3.557615475624406*^9, 3.557615503016595*^9}, {
   3.557615638776862*^9, 3.55761569021379*^9}, {3.55761576391579*^9, 
   3.5576157666466293`*^9}, 3.5576158546931047`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`amplibeta$$ = 1, $CellContext`beta$$ = 
    1, $CellContext`kao$$ = 1.0390000000000001`, $CellContext`kcminus$$ = 
    1, $CellContext`kcplus$$ = 1, $CellContext`keq$$ = 1, $CellContext`kpo$$ =
     1, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`kao$$], 1}, 0.5, 1.5}, {{
       Hold[$CellContext`kpo$$], 1}, {0.5, 0.75, 1, 1.25, 1.5}}, {{
       Hold[$CellContext`beta$$], 1}, {0.5, 0.75, 1, 3, 10}}, {{
       Hold[$CellContext`amplibeta$$], 1}, 1}, {{
       Hold[$CellContext`keq$$], 1}, 0.1, 10}, {{
       Hold[$CellContext`kcplus$$], 1}, 0.5, 1.5}, {{
       Hold[$CellContext`kcminus$$], 1}, {0.5, 1, 1.5}}}, Typeset`size$$ = {
    388., {123., 127.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`kao$22603$$ = 
    0, $CellContext`kpo$22604$$ = 0, $CellContext`beta$22605$$ = 
    0, $CellContext`keq$22606$$ = 0, $CellContext`kcplus$22607$$ = 
    0, $CellContext`kcminus$22608$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`amplibeta$$ = 1, $CellContext`beta$$ = 
        1, $CellContext`kao$$ = 1, $CellContext`kcminus$$ = 
        1, $CellContext`kcplus$$ = 1, $CellContext`keq$$ = 
        1, $CellContext`kpo$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`kao$$, $CellContext`kao$22603$$, 0], 
        Hold[$CellContext`kpo$$, $CellContext`kpo$22604$$, 0], 
        Hold[$CellContext`beta$$, $CellContext`beta$22605$$, 0], 
        Hold[$CellContext`keq$$, $CellContext`keq$22606$$, 0], 
        Hold[$CellContext`kcplus$$, $CellContext`kcplus$22607$$, 0], 
        Hold[$CellContext`kcminus$$, $CellContext`kcminus$22608$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kao$$ = $CellContext`kao$$; \
$CellContext`kprplus = $CellContext`amplibeta$$ $CellContext`beta$$; \
$CellContext`kar = $CellContext`amplibeta$$; $CellContext`kprminus = \
$CellContext`kprplus/$CellContext`keq$$; $CellContext`r1 = $CellContext`kpo$$ \
$CellContext`oxygen $CellContext`pred; $CellContext`r2 = -$CellContext`r3; \
$CellContext`r3 = $CellContext`kprplus $CellContext`ared $CellContext`pox - \
$CellContext`kprminus $CellContext`aox $CellContext`pred; $CellContext`r4 = \
$CellContext`kar $CellContext`light $CellContext`aox; $CellContext`r5 = \
$CellContext`kao$$ $CellContext`oxygen $CellContext`ared; $CellContext`r6 = \
($CellContext`kcplus$$/$CellContext`light^2) $CellContext`pred \
$CellContext`ared $CellContext`ared; $CellContext`r7 = $CellContext`kcminus$$ \
$CellContext`ap $CellContext`ap; Off[
         MessageName[Solve, "ratnz"]]; 
       Module[{$CellContext`findingvalid$}, $CellContext`findingvalid$ = Table[
            Solve[
             ReplaceAll[
              ReplaceAll[
               ReplaceAll[
                
                ReplaceAll[{$CellContext`r2 + $CellContext`r4 - \
$CellContext`r5 - 2 $CellContext`r6 + 2 $CellContext`r7 == 
                  0, -$CellContext`r1 + $CellContext`r3 - $CellContext`r6 + \
$CellContext`r7 == 0, 2 $CellContext`r6 - 2 $CellContext`r7 == 
                  0, $CellContext`pox + $CellContext`pred + 
                   0.5 $CellContext`ap - 1 == 
                  0, $CellContext`ared + $CellContext`aox + $CellContext`ap - 
                   1 == 0}, $CellContext`light -> $CellContext`l], \
$CellContext`oxygen -> $CellContext`o], $CellContext`beta$$ -> 
               50], $CellContext`amplibeta$$ -> 
              1], {$CellContext`pox, $CellContext`pred, $CellContext`ap, \
$CellContext`aox, $CellContext`ared}], {$CellContext`o, \
$CellContext`oxrange}, {$CellContext`l, $CellContext`lrange}]; \
$CellContext`sols = Length[
            
            Part[$CellContext`findingvalid$, 1, 
             1]]; $CellContext`validsolution = 
          ConstantArray[0, {$CellContext`oxlength, $CellContext`llength, 6}]; 
         Do[
           Do[
            Do[$CellContext`v = 1; While[
               And[$CellContext`v < 6, 
                NonNegative[
                 ReplaceAll[
                  Part[$CellContext`variables, $CellContext`v], 
                  
                  Part[$CellContext`findingvalid$, $CellContext`oxygenstates, \
$CellContext`lightstates, $CellContext`s, $CellContext`v]]]], 
               If[$CellContext`v == 5, 
                 Part[$CellContext`validsolution, $CellContext`oxygenstates, \
$CellContext`lightstates, $CellContext`s] = 1, 0]; 
               Increment[$CellContext`v]], {$CellContext`s, 
              6}], {$CellContext`oxygenstates, $CellContext`oxlength}], \
{$CellContext`lightstates, $CellContext`llength}]; ListPlot3D[
           Table[
            ReplaceAll[$CellContext`pred/2.2 + $CellContext`pox, 
             
             Part[$CellContext`findingvalid$, $CellContext`a, $CellContext`b, 
              4]], {$CellContext`a, $CellContext`oxlength}, {$CellContext`b, \
$CellContext`llength}], AxesLabel -> {"oxygen", "light"}, DataRange -> {{
              First[$CellContext`oxrange], 
              Last[$CellContext`oxrange]}, {
              First[$CellContext`lrange], 
              Last[$CellContext`lrange]}}]]), 
      "Specifications" :> {{{$CellContext`kao$$, 1}, 0.5, 
         1.5}, {{$CellContext`kpo$$, 1}, {
         0.5, 0.75, 1, 1.25, 1.5}}, {{$CellContext`beta$$, 1}, {
         0.5, 0.75, 1, 3, 10}}, {{$CellContext`amplibeta$$, 1}, 
         1}, {{$CellContext`keq$$, 1}, 0.1, 10, Appearance -> 
         "Vertical"}, {{$CellContext`kcplus$$, 1}, 0.5, 
         1.5}, {{$CellContext`kcminus$$, 1}, {0.5, 1, 1.5}}}, 
      "Options" :> {ControlPlacement -> Right}, "DefaultOptions" :> {}],
     ImageSizeCache->{694., {149., 154.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.557614705745278*^9, 3.5576148008222446`*^9, 3.557614840182435*^9, {
   3.557615202045437*^9, 3.557615210198224*^9}, 3.557615289807438*^9, 
   3.557615336936091*^9, 3.557615381097611*^9, {3.557615447820997*^9, 
   3.557615475326787*^9}, 3.557615708917042*^9, 3.5576157718329*^9, 
   3.557615815800981*^9, 3.557615882045971*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[AliasDelimiter]", "\[AliasDelimiter]"}]], "Input",
 CellChangeTimes->{{3.557605390678739*^9, 3.5576053935212173`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["validsolution"], "Input",
 CellChangeTimes->{{3.5576138570104017`*^9, 3.557613864266757*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
      "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5576138660540533`*^9, 3.5576140569800177`*^9, 
  3.557615415012371*^9}]
}, Open  ]]
},
WindowSize->{991, 1005},
WindowMargins->{{Automatic, 20}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 925, 25, 88, "Input"],
Cell[CellGroupData[{
Cell[1507, 49, 13705, 310, 898, "Input"],
Cell[15215, 361, 6799, 124, 320, "Output"]
}, Open  ]],
Cell[22029, 488, 144, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[22198, 494, 107, 1, 27, "Input"],
Cell[22308, 497, 1574, 46, 58, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
